{% extends 'user.html.twig' %}

{% block title %}Gérer les diplomes{% endblock %}

{% block body %}
<section class="container">
	<div class="row justify-content-md-center p-5">
		<h1>Gérer les diplômes</h1>
		<a href="{{ path("admin_diplome_ajout") }}" class="btn btn-outline-primary float-right d-md-block">+</a>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Nom de la formation</th>
					<th>Date de début</th>
					<th>Date de fin</th>
					<th>Diplome validé</th>
					<th>Montant du diplome</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			{% for diplome in diplomes %}
				<tr>
					<td>{{diplome.Formation}}</td>
					<td>{{diplome.dateDebutFormation | date("d/m/Y")}}</td>
					<td>{{diplome.dateFinFormation | date("d/m/Y")}}</td>
					<td>
						<label class="form-check form-switch mt-2">
							<input class="form-check-input" type="checkbox" {{ (diplome.accept) ? 'checked' : ''}} data-id="{{diplome.id}}">
							<span class="slider"></span>
						</label>
					</td>
					<td>{{diplome.montantDiplome}}</td>
					<td class="text-center">
						<a href="{{ path("admin_diplome_show", {id:diplome.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
						<a href="{{ path("admin_diplome_edit", {id: diplome.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
						<a href="{{ path("admin_diplome_supprimer", {id: diplome.id}) }}" class="btn primary press"><i class="bi bi-trash"></i></a>
					</td>
				</tr>
			{% endfor %}
			</tbody>
		</table>
	</div>
</div>
{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/diplome/valider/${this.dataset.id}`)
					xmlhttp.send()
				})
			}
		}
	</script>
{% endblock %}
